package org.beangle.struts2.util;

import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.Properties;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MimeTypes {
	private static Logger logger = LoggerFactory.getLogger(MimeTypes.class);

	private static final Properties contentTypes = new Properties();

	static {
		URL url = MimeTypes.class.getClassLoader().getResource(
				"META-INF/mimetypes.properties");
		try {
			InputStream im = url.openStream();
			contentTypes.load(im);
			logger.info("content types loaded ");
			im.close();
		} catch (IOException e) {
			logger.error("load /mimetypes.properties error", e);
		}
	}

	public static String getMimeType(String ext, String defaultValue) {
		return contentTypes.getProperty(ext, defaultValue);
	}

	public static String getMimeType(String ext) {
		return contentTypes.getProperty(ext);
	}
}
